SmpFileSystemConfigBuilder (SMP Provider 1.1.1-4.14.0-126204 API)
Date: 2019-05-15

org.apache.commons.vfs2.provider

## Class SmpFileSystemConfigBuilder

- java.lang.Object
- - org.apache.commons.vfs2.FileSystemConfigBuilder
  - - org.apache.commons.vfs2.provider.SmpFileSystemConfigBuilder

-     public final class SmpFileSystemConfigBuilder
      extends org.apache.commons.vfs2.FileSystemConfigBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<? extends org.apache.commons.vfs2.FileSystem>` | `getConfigClass()`
    `String` | `getControlEncoding(org.apache.commons.vfs2.FileSystemOptions opts)`
    `Integer` | `getDataTimeout(org.apache.commons.vfs2.FileSystemOptions opts)`
    `String` | `getDefaultDateFormat(org.apache.commons.vfs2.FileSystemOptions opts)` get the language code used by the server.
    `static SmpFileSystemConfigBuilder` | `getInstance()`
    `Boolean` | `getPassiveMode(org.apache.commons.vfs2.FileSystemOptions opts)`
    `String` | `getRecentDateFormat(org.apache.commons.vfs2.FileSystemOptions opts)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `String` | `getServerLanguageCode(org.apache.commons.vfs2.FileSystemOptions opts)` get the language code used by the server.
    `String` | `getServerTimeZoneId(org.apache.commons.vfs2.FileSystemOptions opts)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `String[]` | `getShortMonthNames(org.apache.commons.vfs2.FileSystemOptions opts)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `Integer` | `getSoTimeout(org.apache.commons.vfs2.FileSystemOptions opts)`
    `Boolean` | `getUserDirIsRoot(org.apache.commons.vfs2.FileSystemOptions opts)`
    `void` | `setControlEncoding(org.apache.commons.vfs2.FileSystemOptions opts, String encoding)` see `org.apache.commons.net.ftp.FTP#setControlEncoding` for details and examples.
    `void` | `setDataTimeout(org.apache.commons.vfs2.FileSystemOptions opts, Integer dataTimeout)` set the data timeout for the ftp client. If you set the dataTimeout to `null` no dataTimeout will be set on the ftp client.
    `void` | `setDefaultDateFormat(org.apache.commons.vfs2.FileSystemOptions opts, String defaultDateFormat)` set the language code used by the server.
    `void` | `setPassiveMode(org.apache.commons.vfs2.FileSystemOptions opts, boolean passiveMode)` enter into passive mode.
    `void` | `setRecentDateFormat(org.apache.commons.vfs2.FileSystemOptions opts, String recentDateFormat)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `void` | `setServerLanguageCode(org.apache.commons.vfs2.FileSystemOptions opts, String serverLanguageCode)` set the language code used by the server.
    `void` | `setServerTimeZoneId(org.apache.commons.vfs2.FileSystemOptions opts, String serverTimeZoneId)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `void` | `setShortMonthNames(org.apache.commons.vfs2.FileSystemOptions opts, String[] shortMonthNames)` see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
    `void` | `setSoTimeout(org.apache.commons.vfs2.FileSystemOptions opts, Integer soTimeout)` set the socket timeout for the ftp client. If you set the socketTimeout to `null` no socketTimeout will be set on the ftp client.
    `void` | `setUserDirIsRoot(org.apache.commons.vfs2.FileSystemOptions opts, boolean userDirIsRoot)` use user directory as root (do not change to fs root).

    - ### Methods inherited from class org.apache.commons.vfs2.FileSystemConfigBuilder

      `getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getCharacter, getCharacter, getCharacter, getDouble, getDouble, getDouble, getEnum, getEnum, getFloat, getFloat, getFloat, getInteger, getInteger, getInteger, getLong, getLong, getLong, getParam, getRootURI, getShort, getShort, getShort, getString, getString, hasObject, hasParam, setParam, setParam, setRootURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SmpFileSystemConfigBuilder getInstance()

    - #### getConfigClass

          protected Class<? extends org.apache.commons.vfs2.FileSystem> getConfigClass()

      Specified by:
        `getConfigClass` in class `org.apache.commons.vfs2.FileSystemConfigBuilder`

    - #### setPassiveMode

          public void setPassiveMode(org.apache.commons.vfs2.FileSystemOptions opts,
                            boolean passiveMode)

      enter into passive mode.
      Parameters:
        `opts` - The FileSystemOptions.
        `passiveMode` - true if passive mode should be used.

    - #### getPassiveMode

          public Boolean getPassiveMode(org.apache.commons.vfs2.FileSystemOptions opts)

      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        true if passive mode is set.
      See Also:
        `setPassiveMode(org.apache.commons.vfs2.FileSystemOptions, boolean)`

    - #### setUserDirIsRoot

          public void setUserDirIsRoot(org.apache.commons.vfs2.FileSystemOptions opts,
                              boolean userDirIsRoot)

      use user directory as root (do not change to fs root).
      Parameters:
        `opts` - The FileSystemOptions.
        `userDirIsRoot` - true if the user directory should be treated as the root.

    - #### getUserDirIsRoot

          public Boolean getUserDirIsRoot(org.apache.commons.vfs2.FileSystemOptions opts)

      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        true if the user directory is treated as the root.
      See Also:
        `setUserDirIsRoot(org.apache.commons.vfs2.FileSystemOptions, boolean)`

    - #### getDataTimeout

          public Integer getDataTimeout(org.apache.commons.vfs2.FileSystemOptions opts)

      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        The timeout as an Integer.
      See Also:
        `setDataTimeout(org.apache.commons.vfs2.FileSystemOptions, java.lang.Integer)`

    - #### setDataTimeout

          public void setDataTimeout(org.apache.commons.vfs2.FileSystemOptions opts,
                            Integer dataTimeout)

      set the data timeout for the ftp client.
      If you set the dataTimeout to `null` no dataTimeout will be set on the ftp client.
      Parameters:
        `opts` - The FileSystemOptions.
        `dataTimeout` - The timeout value.

    - #### getSoTimeout

          public Integer getSoTimeout(org.apache.commons.vfs2.FileSystemOptions opts)

      Parameters:
        `opts` - The FileSystem options.
      Returns:
        The timeout value.
      Since:
        2.0
      See Also:
        `getDataTimeout(org.apache.commons.vfs2.FileSystemOptions)`

    - #### setSoTimeout

          public void setSoTimeout(org.apache.commons.vfs2.FileSystemOptions opts,
                          Integer soTimeout)

      set the socket timeout for the ftp client.
      If you set the socketTimeout to `null` no socketTimeout will be set on the ftp client.
      Parameters:
        `opts` - The FileSystem options.
        `soTimeout` - The timeout value.
      Since:
        2.0

    - #### getServerLanguageCode

          public String getServerLanguageCode(org.apache.commons.vfs2.FileSystemOptions opts)

      get the language code used by the server. see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FilesystemOptions.
      Returns:
        The language code of the server.

    - #### setServerLanguageCode

          public void setServerLanguageCode(org.apache.commons.vfs2.FileSystemOptions opts,
                                   String serverLanguageCode)

      set the language code used by the server. see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `serverLanguageCode` - The servers language code.

    - #### getDefaultDateFormat

          public String getDefaultDateFormat(org.apache.commons.vfs2.FileSystemOptions opts)

      get the language code used by the server. see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions
      Returns:
        The default date format.

    - #### setDefaultDateFormat

          public void setDefaultDateFormat(org.apache.commons.vfs2.FileSystemOptions opts,
                                  String defaultDateFormat)

      set the language code used by the server. see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `defaultDateFormat` - The default date format.

    - #### getRecentDateFormat

          public String getRecentDateFormat(org.apache.commons.vfs2.FileSystemOptions opts)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        The recent date format.

    - #### setRecentDateFormat

          public void setRecentDateFormat(org.apache.commons.vfs2.FileSystemOptions opts,
                                 String recentDateFormat)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `recentDateFormat` - The recent date format.

    - #### getServerTimeZoneId

          public String getServerTimeZoneId(org.apache.commons.vfs2.FileSystemOptions opts)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        The server timezone id.

    - #### setServerTimeZoneId

          public void setServerTimeZoneId(org.apache.commons.vfs2.FileSystemOptions opts,
                                 String serverTimeZoneId)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `serverTimeZoneId` - The server timezone id.

    - #### getShortMonthNames

          public String[] getShortMonthNames(org.apache.commons.vfs2.FileSystemOptions opts)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        An array of short month names.

    - #### setShortMonthNames

          public void setShortMonthNames(org.apache.commons.vfs2.FileSystemOptions opts,
                                String[] shortMonthNames)

      see `org.apache.commons.net.ftp.FTPClientConfig` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `shortMonthNames` - an array of short month name Strings.

    - #### setControlEncoding

          public void setControlEncoding(org.apache.commons.vfs2.FileSystemOptions opts,
                                String encoding)

      see `org.apache.commons.net.ftp.FTP#setControlEncoding` for details and examples.
      Parameters:
        `opts` - The FileSystemOptions.
        `encoding` - the encoding to use
      Since:
        2.0

    - #### getControlEncoding

          public String getControlEncoding(org.apache.commons.vfs2.FileSystemOptions opts)

      Parameters:
        `opts` - The FileSystemOptions.
      Returns:
        The encoding.
      Since:
        2.0

Copyright © 2019. All Rights Reserved.